Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.config
Class PointcutExpressionParser

    java.lang.Object
      net.sf.joyaop.config.PointcutExpressionParser

    public final class PointcutExpressionParser

extends java.lang.Object

A primitive parser.

Author:
  Shen Li

Field Summary
`static java.lang.String` | `AND`
`static java.lang.String` | `EXECUTION`
`static java.lang.String` | `INTERFACE`
`static java.lang.String` | `LEFT_BRACKET`
`static java.lang.String` | `NOT`
`static java.lang.String` | `OR`
`static java.lang.String` | `RIGHT_BRACKET`
`static java.lang.String` | `TARGET`

Constructor Summary
`PointcutExpressionParser()`

Method Summary
`void` | `addPointcutDefinition(java.lang.String pointcutName, java.lang.String expression)`
`Pointcut` | `parse(java.lang.String expression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TARGET

    public static final java.lang.String TARGET

See Also:
  Constant Field Values

### EXECUTION

    public static final java.lang.String EXECUTION

See Also:
  Constant Field Values

### INTERFACE

    public static final java.lang.String INTERFACE

See Also:
  Constant Field Values

### NOT

    public static final java.lang.String NOT

See Also:
  Constant Field Values

### AND

    public static final java.lang.String AND

See Also:
  Constant Field Values

### OR

    public static final java.lang.String OR

See Also:
  Constant Field Values

### LEFT_BRACKET

    public static final java.lang.String LEFT_BRACKET

See Also:
  Constant Field Values

### RIGHT_BRACKET

    public static final java.lang.String RIGHT_BRACKET

See Also:
  Constant Field Values

Constructor Detail

### PointcutExpressionParser

    public PointcutExpressionParser()

Method Detail

### addPointcutDefinition

    public void addPointcutDefinition(java.lang.String pointcutName,
                                      java.lang.String expression)

### parse

    public Pointcut parse(java.lang.String expression)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD